Subject: Re: [ROUTE] PMTU only works on half the time

From: "David S. Miller" <[email-masked]>
Date: Tue, 2 Dec 2003 02:27:33 -0800

On Tue, 2 Dec 2003 21:10:25 +1100
Herbert Xu <[email-masked]> wrote:

> My problem turns out to be that oif != 0 for the outgoing packets.
> Since frag_needed only handle cache entries where oif == 0 it
> never has a chance to work.
> 
> The application that generated these packets is the RPC code in glibc.

That behavior of glibc is incorrect, I know about it, and I explained
all this to Uli Drepper some time ago and he fixed it.

Current glibc should not be doing this.  If it still is, since Uli
understood my arguments, it probably just slipped under the rug.
Tell me this so I can take care of it.

What the glibc code was doing was mirroring the input packet parameters
(saddr/daddr/if/etc.) into what it used for the output packet sends.